Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.triggers
Class DailyTimeIntervalTriggerImpl

    java.lang.Object
      org.quartz.impl.triggers.AbstractTrigger<DailyTimeIntervalTrigger>
          org.quartz.impl.triggers.DailyTimeIntervalTriggerImpl

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Trigger>, DailyTimeIntervalTrigger, CoreTrigger, MutableTrigger, OperableTrigger, Trigger

    public class DailyTimeIntervalTriggerImpl

extends AbstractTrigger<DailyTimeIntervalTrigger>
implements DailyTimeIntervalTrigger, CoreTrigger

A concrete implementation of DailyTimeIntervalTrigger that is used to fire a ``JobDetail`` based upon daily repeating time intervals.

The trigger will fire every N (see `setRepeatInterval(int)` ) seconds, minutes or hours (see `setRepeatIntervalUnit(org.quartz.DateBuilder.IntervalUnit)`) during a given time window on specified days of the week.

For example#1, a trigger can be set to fire every 72 minutes between 8:00 and 11:00 everyday. It's fire times would be 8:00, 9:12, 10:24, then next day would repeat: 8:00, 9:12, 10:24 again.

For example#2, a trigger can be set to fire every 23 minutes between 9:20 and 16:47 Monday through Friday.

On each day, the starting fire time is reset to startTimeOfDay value, and then it will add repeatInterval value to it until the endTimeOfDay is reached. If you set daysOfWeek values, then fire time will only occur during those week days period. Again, remember this trigger will reset fire time each day with startTimeOfDay, regardless of your interval or endTimeOfDay!

The default values for fields if not set are: startTimeOfDay defaults to 00:00:00, the endTimeOfDay default to 23:59:59, and daysOfWeek is default to every day. The startTime default to current time-stamp now, while endTime has not value.

If startTime is before startTimeOfDay, then startTimeOfDay will be used and startTime has no affect other than to specify the first day of firing. Else if startTime is after startTimeOfDay, then the first fire time for that day will be the next interval after the startTime. For example, if you set startingTimeOfDay=9am, endingTimeOfDay=11am, interval=15 mins, and startTime=9:33am, then the next fire time will be 9:45pm. Note also that if you do not set startTime value, the trigger builder will default to current time, and current time maybe before or after the startTimeOfDay! So be aware how you set your startTime.

This trigger also supports "repeatCount" feature to end the trigger fire time after a certain number of count is reached. Just as the SimpleTrigger, setting repeatCount=0 means trigger will fire once only! Setting any positive count then the trigger will repeat count + 1 times. Unlike SimpleTrigger, the default value of repeatCount of this trigger is set to REPEAT_INDEFINITELY instead of 0 though.

Since:
  2.1.0
Author:
  James House, Zemian Deng
See Also:
  `DailyTimeIntervalTrigger`, `DailyTimeIntervalScheduleBuilder`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.quartz.Trigger
`Trigger.CompletedExecutionInstruction, Trigger.TriggerState, Trigger.TriggerTimeComparator`

Field Summary

Fields inherited from interface org.quartz.DailyTimeIntervalTrigger
`MISFIRE_INSTRUCTION_DO_NOTHING, MISFIRE_INSTRUCTION_FIRE_ONCE_NOW, REPEAT_INDEFINITELY`

Fields inherited from interface org.quartz.Trigger
`DEFAULT_PRIORITY, MISFIRE_INSTRUCTION_IGNORE_MISFIRE_POLICY, MISFIRE_INSTRUCTION_SMART_POLICY`

Constructor Summary
`DailyTimeIntervalTriggerImpl()` Create a `DailyTimeIntervalTrigger` with no settings.
`DailyTimeIntervalTriggerImpl(String name, Date startTime, Date endTime, TimeOfDay startTimeOfDay, TimeOfDay endTimeOfDay, DateBuilder.IntervalUnit intervalUnit, int repeatInterval)` Create a `DailyTimeIntervalTrigger` that will occur at the given time, and repeat at the the given interval until the given end time.
`DailyTimeIntervalTriggerImpl(String name, String group, Date startTime, Date endTime, TimeOfDay startTimeOfDay, TimeOfDay endTimeOfDay, DateBuilder.IntervalUnit intervalUnit, int repeatInterval)` Create a `DailyTimeIntervalTrigger` that will occur at the given time, and repeat at the the given interval until the given end time.
`DailyTimeIntervalTriggerImpl(String name, String group, String jobName, String jobGroup, Date startTime, Date endTime, TimeOfDay startTimeOfDay, TimeOfDay endTimeOfDay, DateBuilder.IntervalUnit intervalUnit, int repeatInterval)` Create a `DailyTimeIntervalTrigger` that will occur at the given time, fire the identified `Job` and repeat at the the given interval until the given end time.
`DailyTimeIntervalTriggerImpl(String name, String group, TimeOfDay startTimeOfDay, TimeOfDay endTimeOfDay, DateBuilder.IntervalUnit intervalUnit, int repeatInterval)` Create a `DailyTimeIntervalTrigger` that will occur immediately, and repeat at the the given interval.
`DailyTimeIntervalTriggerImpl(String name, TimeOfDay startTimeOfDay, TimeOfDay endTimeOfDay, DateBuilder.IntervalUnit intervalUnit, int repeatInterval)` Create a `DailyTimeIntervalTrigger` that will occur immediately, and repeat at the the given interval.

Method Summary
`Date` | `computeFirstFireTime(Calendar calendar)` Called by the scheduler at the time a `Trigger` is first added to the scheduler, in order to have the `Trigger` compute its first fire time, based on any associated calendar.
`Set<Integer>` | `getDaysOfWeek()` The days of the week upon which to fire.
`Date` | `getEndTime()` Get the time at which the `DailyTimeIntervalTrigger` should quit repeating.
`TimeOfDay` | `getEndTimeOfDay()` The time of day to complete firing at the given interval.
`Date` | `getFinalFireTime()` Returns the final time at which the `DailyTimeIntervalTrigger` will fire, if there is no end time set, null will be returned.
`Date` | `getFireTimeAfter(Date afterTime)` Returns the next time at which the `DailyTimeIntervalTrigger` will fire, after the given time.
`Date` | `getNextFireTime()` Returns the next time at which the `Trigger` is scheduled to fire.
`Date` | `getPreviousFireTime()` Returns the previous time at which the `DailyTimeIntervalTrigger` fired.
`int` | `getRepeatCount()` Get the the number of times for interval this trigger should repeat, after which it will be automatically deleted.
`int` | `getRepeatInterval()` Get the the time interval that will be added to the `DateIntervalTrigger`'s fire time (in the set repeat interval unit) in order to calculate the time of the next trigger repeat.
`DateBuilder.IntervalUnit` | `getRepeatIntervalUnit()` Get the interval unit - the time unit on with the interval applies.
`ScheduleBuilder<DailyTimeIntervalTrigger>` | `getScheduleBuilder()` Get a `ScheduleBuilder` that is configured to produce a schedule identical to this trigger's schedule.
`Date` | `getStartTime()` Get the time at which the `DailyTimeIntervalTrigger` should occur.
`TimeOfDay` | `getStartTimeOfDay()` The time of day to start firing at the given interval.
`int` | `getTimesTriggered()` Get the number of times the `DateIntervalTrigger` has already fired.
`boolean` | `hasAdditionalProperties()` This trigger has no additional properties besides what's defined in this class.
`boolean` | `mayFireAgain()` Determines whether or not the `DailyTimeIntervalTrigger` will occur again.
`void` | `setDaysOfWeek(Set<Integer> daysOfWeek)`
`void` | `setEndTime(Date endTime)` Set the time at which the `DailyTimeIntervalTrigger` should quit repeating (and be automatically deleted).
`void` | `setEndTimeOfDay(TimeOfDay endTimeOfDay)`
`void` | `setNextFireTime(Date nextFireTime)` Set the next time at which the `DailyTimeIntervalTrigger` should fire.
`void` | `setPreviousFireTime(Date previousFireTime)` Set the previous time at which the `DailyTimeIntervalTrigger` fired.
`void` | `setRepeatCount(int repeatCount)`
`void` | `setRepeatInterval(int repeatInterval)` set the the time interval that will be added to the `DailyTimeIntervalTrigger`'s fire time (in the set repeat interval unit) in order to calculate the time of the next trigger repeat.
`void` | `setRepeatIntervalUnit(DateBuilder.IntervalUnit intervalUnit)` Set the interval unit - the time unit on with the interval applies.
`void` | `setStartTime(Date startTime)` Set the time at which the `DailyTimeIntervalTrigger` should occur.
`void` | `setStartTimeOfDay(TimeOfDay startTimeOfDay)`
`void` | `setTimesTriggered(int timesTriggered)` Set the number of times the `DailyTimeIntervalTrigger` has already fired.
`void` | `triggered(Calendar calendar)` Called when the ``Scheduler`` has decided to 'fire' the trigger (execute the associated `Job`), in order to give the `Trigger` a chance to update itself for its next triggering (if any).
`void` | `updateAfterMisfire(Calendar cal)` Updates the `DailyTimeIntervalTrigger`'s state based on the MISFIRE_INSTRUCTION_XXX that was selected when the `DailyTimeIntervalTrigger` was created.
`void` | `updateWithNewCalendar(Calendar calendar, long misfireThreshold)` This method should not be used by the Quartz client.
`void` | `validate()` Validates whether the properties of the `JobDetail` are valid for submission into a `Scheduler`.
`protected boolean` | `validateMisfireInstruction(int misfireInstruction)`

Methods inherited from class org.quartz.impl.triggers.AbstractTrigger
`clone, compareTo, equals, executionComplete, getCalendarName, getDescription, getFireInstanceId, getFullJobName, getFullName, getGroup, getJobDataMap, getJobGroup, getJobKey, getJobName, getKey, getMisfireInstruction, getName, getPriority, getTriggerBuilder, hashCode, setCalendarName, setDescription, setFireInstanceId, setGroup, setJobDataMap, setJobGroup, setJobKey, setJobName, setKey, setMisfireInstruction, setName, setPriority, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.quartz.DailyTimeIntervalTrigger
`getTriggerBuilder`

Methods inherited from interface org.quartz.Trigger
`compareTo, equals, getCalendarName, getDescription, getJobDataMap, getJobKey, getKey, getMisfireInstruction, getPriority`

Constructor Detail

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl()

  Create a `DailyTimeIntervalTrigger` with no settings.

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl(String name,
                                        TimeOfDay startTimeOfDay,
                                        TimeOfDay endTimeOfDay,
                                        DateBuilder.IntervalUnit intervalUnit,
                                        int repeatInterval)

  Create a `DailyTimeIntervalTrigger` that will occur immediately, and repeat at the the given interval.

  Parameters:
    `startTimeOfDay` - The `TimeOfDay` that the repeating should begin occurring.
    `endTimeOfDay` - The `TimeOfDay` that the repeating should stop occurring.
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.
  Throws:
    `IllegalArgumentException` - if an invalid IntervalUnit is given, or the repeat interval is zero or less.

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl(String name,
                                        String group,
                                        TimeOfDay startTimeOfDay,
                                        TimeOfDay endTimeOfDay,
                                        DateBuilder.IntervalUnit intervalUnit,
                                        int repeatInterval)

  Create a `DailyTimeIntervalTrigger` that will occur immediately, and repeat at the the given interval.

  Parameters:
    `startTimeOfDay` - The `TimeOfDay` that the repeating should begin occurring.
    `endTimeOfDay` - The `TimeOfDay` that the repeating should stop occurring.
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.
  Throws:
    `IllegalArgumentException` - if an invalid IntervalUnit is given, or the repeat interval is zero or less.

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl(String name,
                                        Date startTime,
                                        Date endTime,
                                        TimeOfDay startTimeOfDay,
                                        TimeOfDay endTimeOfDay,
                                        DateBuilder.IntervalUnit intervalUnit,
                                        int repeatInterval)

  Create a `DailyTimeIntervalTrigger` that will occur at the given time, and repeat at the the given interval until the given end time.

  Parameters:
    `startTime` - A `Date` set to the time for the `Trigger` to fire.
    `endTime` - A `Date` set to the time for the `Trigger` to quit repeat firing.
    `startTimeOfDay` - The `TimeOfDay` that the repeating should begin occurring.
    `endTimeOfDay` - The `TimeOfDay` that the repeating should stop occurring.
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.
    `repeatInterval` - The number of milliseconds to pause between the repeat firing.
  Throws:
    `IllegalArgumentException` - if an invalid IntervalUnit is given, or the repeat interval is zero or less.

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl(String name,
                                        String group,
                                        Date startTime,
                                        Date endTime,
                                        TimeOfDay startTimeOfDay,
                                        TimeOfDay endTimeOfDay,
                                        DateBuilder.IntervalUnit intervalUnit,
                                        int repeatInterval)

  Create a `DailyTimeIntervalTrigger` that will occur at the given time, and repeat at the the given interval until the given end time.

  Parameters:
    `startTime` - A `Date` set to the time for the `Trigger` to fire.
    `endTime` - A `Date` set to the time for the `Trigger` to quit repeat firing.
    `startTimeOfDay` - The `TimeOfDay` that the repeating should begin occurring.
    `endTimeOfDay` - The `TimeOfDay` that the repeating should stop occurring.
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.
    `repeatInterval` - The number of milliseconds to pause between the repeat firing.
  Throws:
    `IllegalArgumentException` - if an invalid IntervalUnit is given, or the repeat interval is zero or less.

### DailyTimeIntervalTriggerImpl

    public DailyTimeIntervalTriggerImpl(String name,
                                        String group,
                                        String jobName,
                                        String jobGroup,
                                        Date startTime,
                                        Date endTime,
                                        TimeOfDay startTimeOfDay,
                                        TimeOfDay endTimeOfDay,
                                        DateBuilder.IntervalUnit intervalUnit,
                                        int repeatInterval)

  Create a `DailyTimeIntervalTrigger` that will occur at the given time, fire the identified `Job` and repeat at the the given interval until the given end time.

  Parameters:
    `startTime` - A `Date` set to the time for the `Trigger` to fire.
    `endTime` - A `Date` set to the time for the `Trigger` to quit repeat firing.
    `startTimeOfDay` - The `TimeOfDay` that the repeating should begin occurring.
    `endTimeOfDay` - The `TimeOfDay` that the repeating should stop occurring.
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.
    `repeatInterval` - The number of milliseconds to pause between the repeat firing.
  Throws:
    `IllegalArgumentException` - if an invalid IntervalUnit is given, or the repeat interval is zero or less.

Method Detail

### getStartTime

    public Date getStartTime()

  Get the time at which the `DailyTimeIntervalTrigger` should occur. It defaults to the getStartTimeOfDay of current day.

  Specified by:
    `getStartTime` in interface `Trigger`
  Specified by:
    `getStartTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### setStartTime

    public void setStartTime(Date startTime)

  Set the time at which the `DailyTimeIntervalTrigger` should occur.

  Specified by:
    `setStartTime` in interface `MutableTrigger`
  Specified by:
    `setStartTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  Throws:
    `IllegalArgumentException` - if startTime is `null`.

### getEndTime

    public Date getEndTime()

  Get the time at which the `DailyTimeIntervalTrigger` should quit repeating.

  Specified by:
    `getEndTime` in interface `Trigger`
  Specified by:
    `getEndTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  See Also:
    `getFinalFireTime()`

### setEndTime

    public void setEndTime(Date endTime)

  Set the time at which the `DailyTimeIntervalTrigger` should quit repeating (and be automatically deleted).

  Specified by:
    `setEndTime` in interface `MutableTrigger`
  Specified by:
    `setEndTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  Throws:
    `IllegalArgumentException` - if endTime is before start time.
  See Also:
    `TriggerUtils.computeEndTimeToAllowParticularNumberOfFirings(org.quartz.spi.OperableTrigger, org.quartz.Calendar, int)`

### getRepeatIntervalUnit

    public DateBuilder.IntervalUnit getRepeatIntervalUnit()

  Description copied from interface: `DailyTimeIntervalTrigger`

  Get the interval unit - the time unit on with the interval applies.

  The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.

  Specified by:
    `getRepeatIntervalUnit` in interface `DailyTimeIntervalTrigger`

### setRepeatIntervalUnit

    public void setRepeatIntervalUnit(DateBuilder.IntervalUnit intervalUnit)

  Set the interval unit - the time unit on with the interval applies.

  Parameters:
    `intervalUnit` - The repeat interval unit. The only intervals that are valid for this type of trigger are `DateBuilder.IntervalUnit.SECOND`, `DateBuilder.IntervalUnit.MINUTE`, and `DateBuilder.IntervalUnit.HOUR`.

### getRepeatInterval

    public int getRepeatInterval()

  Description copied from interface: `DailyTimeIntervalTrigger`

  Get the the time interval that will be added to the `DateIntervalTrigger`'s fire time (in the set repeat interval unit) in order to calculate the time of the next trigger repeat.

  Specified by:
    `getRepeatInterval` in interface `DailyTimeIntervalTrigger`

### setRepeatInterval

    public void setRepeatInterval(int repeatInterval)

  set the the time interval that will be added to the `DailyTimeIntervalTrigger`'s fire time (in the set repeat interval unit) in order to calculate the time of the next trigger repeat.

  Throws:
    `IllegalArgumentException` - if repeatInterval is < 1

### getTimesTriggered

    public int getTimesTriggered()

  Description copied from interface: `DailyTimeIntervalTrigger`

  Get the number of times the `DateIntervalTrigger` has already fired.

  Specified by:
    `getTimesTriggered` in interface `DailyTimeIntervalTrigger`

### setTimesTriggered

    public void setTimesTriggered(int timesTriggered)

  Set the number of times the `DailyTimeIntervalTrigger` has already fired.

### validateMisfireInstruction

    protected boolean validateMisfireInstruction(int misfireInstruction)

  Specified by:
    `validateMisfireInstruction` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### updateAfterMisfire

    public void updateAfterMisfire(Calendar cal)

  Updates the `DailyTimeIntervalTrigger`'s state based on the MISFIRE_INSTRUCTION_XXX that was selected when the `DailyTimeIntervalTrigger` was created.

  If the misfire instruction is set to MISFIRE_INSTRUCTION_SMART_POLICY, then the following scheme will be used:

  - The instruction will be interpreted as `MISFIRE_INSTRUCTION_FIRE_ONCE_NOW`

  Specified by:
    `updateAfterMisfire` in interface `OperableTrigger`
  Specified by:
    `updateAfterMisfire` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### triggered

    public void triggered(Calendar calendar)

  Called when the ``Scheduler`` has decided to 'fire' the trigger (execute the associated `Job`), in order to give the `Trigger` a chance to update itself for its next triggering (if any).

  Specified by:
    `triggered` in interface `OperableTrigger`
  Specified by:
    `triggered` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  See Also:
    `AbstractTrigger.executionComplete(JobExecutionContext, JobExecutionException)`

### updateWithNewCalendar

    public void updateWithNewCalendar(Calendar calendar,
                                      long misfireThreshold)

  Description copied from class: `AbstractTrigger`

  This method should not be used by the Quartz client.

  To be implemented by the concrete class.

  The implementation should update the `Trigger`'s state based on the given new version of the associated `Calendar` (the state should be updated so that it's next fire time is appropriate given the Calendar's new settings).

  Specified by:
    `updateWithNewCalendar` in interface `OperableTrigger`
  Specified by:
    `updateWithNewCalendar` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  Parameters:
    `calendar` - the modifying calendar
  See Also:
    `AbstractTrigger.updateWithNewCalendar(org.quartz.Calendar, long)`

### computeFirstFireTime

    public Date computeFirstFireTime(Calendar calendar)

  Called by the scheduler at the time a `Trigger` is first added to the scheduler, in order to have the `Trigger` compute its first fire time, based on any associated calendar.

  After this method has been called, `getNextFireTime()` should return a valid answer.

  Specified by:
    `computeFirstFireTime` in interface `OperableTrigger`
  Specified by:
    `computeFirstFireTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  Returns:
    the first time at which the `Trigger` will be fired by the scheduler, which is also the same value `getNextFireTime()` will return (until after the first firing of the `Trigger`).

### getNextFireTime

    public Date getNextFireTime()

  Returns the next time at which the `Trigger` is scheduled to fire. If the trigger will not fire again, `null` will be returned. Note that the time returned can possibly be in the past, if the time that was computed for the trigger to next fire has already arrived, but the scheduler has not yet been able to fire the trigger (which would likely be due to lack of resources e.g. threads).

  The value returned is not guaranteed to be valid until after the `Trigger` has been added to the scheduler.

  Specified by:
    `getNextFireTime` in interface `Trigger`
  Specified by:
    `getNextFireTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  See Also:
    `TriggerUtils.computeFireTimesBetween(org.quartz.spi.OperableTrigger, org.quartz.Calendar, java.util.Date, java.util.Date)`

### getPreviousFireTime

    public Date getPreviousFireTime()

  Returns the previous time at which the `DailyTimeIntervalTrigger` fired. If the trigger has not yet fired, `null` will be returned.

  Specified by:
    `getPreviousFireTime` in interface `Trigger`
  Specified by:
    `getPreviousFireTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### setNextFireTime

    public void setNextFireTime(Date nextFireTime)

  Set the next time at which the `DailyTimeIntervalTrigger` should fire.

  This method should not be invoked by client code.

  Specified by:
    `setNextFireTime` in interface `OperableTrigger`

### setPreviousFireTime

    public void setPreviousFireTime(Date previousFireTime)

  Set the previous time at which the `DailyTimeIntervalTrigger` fired.

  This method should not be invoked by client code.

  Specified by:
    `setPreviousFireTime` in interface `OperableTrigger`

### getFireTimeAfter

    public Date getFireTimeAfter(Date afterTime)

  Returns the next time at which the `DailyTimeIntervalTrigger` will fire, after the given time. If the trigger will not fire after the given time, `null` will be returned.

  Specified by:
    `getFireTimeAfter` in interface `Trigger`
  Specified by:
    `getFireTimeAfter` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### getFinalFireTime

    public Date getFinalFireTime()

  Returns the final time at which the `DailyTimeIntervalTrigger` will fire, if there is no end time set, null will be returned.

  Note that the return time may be in the past.

  Specified by:
    `getFinalFireTime` in interface `Trigger`
  Specified by:
    `getFinalFireTime` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### mayFireAgain

    public boolean mayFireAgain()

  Determines whether or not the `DailyTimeIntervalTrigger` will occur again.

  Specified by:
    `mayFireAgain` in interface `Trigger`
  Specified by:
    `mayFireAgain` in class `AbstractTrigger<DailyTimeIntervalTrigger>`

### validate

    public void validate()
                  throws SchedulerException

  Validates whether the properties of the `JobDetail` are valid for submission into a `Scheduler`.

  Specified by:
    `validate` in interface `OperableTrigger`
  Overrides:
    `validate` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  Throws:
    `IllegalStateException` - if a required property (such as Name, Group, Class) is not set.
    `SchedulerException`

### getDaysOfWeek

    public Set<Integer> getDaysOfWeek()

  The days of the week upon which to fire.

  Specified by:
    `getDaysOfWeek` in interface `DailyTimeIntervalTrigger`
  Returns:
    a Set containing the integers representing the days of the week, per the values 1-7 as defined by `Calendar.SUNDAY` - `Calendar.SATURDAY`.

### setDaysOfWeek

    public void setDaysOfWeek(Set<Integer> daysOfWeek)

### getStartTimeOfDay

    public TimeOfDay getStartTimeOfDay()

  The time of day to start firing at the given interval.

  Specified by:
    `getStartTimeOfDay` in interface `DailyTimeIntervalTrigger`

### setStartTimeOfDay

    public void setStartTimeOfDay(TimeOfDay startTimeOfDay)

### getEndTimeOfDay

    public TimeOfDay getEndTimeOfDay()

  The time of day to complete firing at the given interval.

  Specified by:
    `getEndTimeOfDay` in interface `DailyTimeIntervalTrigger`

### setEndTimeOfDay

    public void setEndTimeOfDay(TimeOfDay endTimeOfDay)

### getScheduleBuilder

    public ScheduleBuilder<DailyTimeIntervalTrigger> getScheduleBuilder()

  Get a `ScheduleBuilder` that is configured to produce a schedule identical to this trigger's schedule.

  Specified by:
    `getScheduleBuilder` in interface `Trigger`
  Specified by:
    `getScheduleBuilder` in class `AbstractTrigger<DailyTimeIntervalTrigger>`
  See Also:
    `AbstractTrigger.getTriggerBuilder()`

### hasAdditionalProperties

    public boolean hasAdditionalProperties()

  This trigger has no additional properties besides what's defined in this class.

  Specified by:
    `hasAdditionalProperties` in interface `CoreTrigger`

### getRepeatCount

    public int getRepeatCount()

  Description copied from interface: `DailyTimeIntervalTrigger`

  Get the the number of times for interval this trigger should repeat, after which it will be automatically deleted.

  Specified by:
    `getRepeatCount` in interface `DailyTimeIntervalTrigger`
  See Also:
    `DailyTimeIntervalTrigger.REPEAT_INDEFINITELY`

### setRepeatCount

    public void setRepeatCount(int repeatCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.